Package com.io7m.smfj.processing.api

## Class SMFAttributeArrayIntegerSigned1.Builder

- java.lang.Object
- - com.io7m.smfj.processing.api.SMFAttributeArrayIntegerSigned1.Builder

- Enclosing class:
    SMFAttributeArrayIntegerSigned1

      public static final class SMFAttributeArrayIntegerSigned1.Builder
      extends java.lang.Object

  Builds instances of type `SMFAttributeArrayIntegerSigned1`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

  `Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `SMFAttributeArrayIntegerSigned1.Builder` | `addAllValues​(java.lang.Iterable<java.lang.Long> elements)` | Adds elements to `values` list.
    `SMFAttributeArrayIntegerSigned1.Builder` | `addValues​(long element)` | Adds one element to `values` list.
    `SMFAttributeArrayIntegerSigned1.Builder` | `addValues​(long... elements)` | Adds elements to `values` list.
    `SMFAttributeArrayIntegerSigned1` | `build()` | Builds a new `SMFAttributeArrayIntegerSigned1`.
    `SMFAttributeArrayIntegerSigned1.Builder` | `from​(SMFAttributeArrayIntegerSigned1Type instance)` | Fill a builder with attribute values from the provided `SMFAttributeArrayIntegerSigned1Type` instance.
    `SMFAttributeArrayIntegerSigned1.Builder` | `setValues​(java.lang.Iterable<java.lang.Long> elements)` | Sets or replaces all elements for `values` list.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### from

          public final SMFAttributeArrayIntegerSigned1.Builder from​(SMFAttributeArrayIntegerSigned1Type instance)

      Fill a builder with attribute values from the provided `SMFAttributeArrayIntegerSigned1Type` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values. Collection elements and entries will be added, not replaced.
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` builder for use in a chained invocation

    - #### addValues

          public final SMFAttributeArrayIntegerSigned1.Builder addValues​(long element)

      Adds one element to `values` list.
      Parameters:
        `element` - A values element
      Returns:
        `this` builder for use in a chained invocation

    - #### addValues

          public final SMFAttributeArrayIntegerSigned1.Builder addValues​(long... elements)

      Adds elements to `values` list.
      Parameters:
        `elements` - An array of values elements
      Returns:
        `this` builder for use in a chained invocation

    - #### setValues

          public final SMFAttributeArrayIntegerSigned1.Builder setValues​(java.lang.Iterable<java.lang.Long> elements)

      Sets or replaces all elements for `values` list.
      Parameters:
        `elements` - An iterable of values elements
      Returns:
        `this` builder for use in a chained invocation

    - #### addAllValues

          public final SMFAttributeArrayIntegerSigned1.Builder addAllValues​(java.lang.Iterable<java.lang.Long> elements)

      Adds elements to `values` list.
      Parameters:
        `elements` - An iterable of values elements
      Returns:
        `this` builder for use in a chained invocation

    - #### build

          public SMFAttributeArrayIntegerSigned1 build()

      Builds a new `SMFAttributeArrayIntegerSigned1`.
      Returns:
        An immutable instance of SMFAttributeArrayIntegerSigned1
      Throws:
        `java.lang.IllegalStateException` - if any required attributes are missing